Page MenuHomePhabricator

alt attribute for Wikipedia wordmark has html in it on mobile site
Closed, ResolvedPublic1 Estimated Story Points

Description

The wikipedia mobile site has the following html in the footer:

<li id="footer-info-mobile-switcher"><h2><img src="/static/images/mobile/wikipedia-wordmark-en.png" alt="Wikipedia&lt;sup&gt;®&lt;/sup&gt;" height="15" width="97" /><sup>®</sup></h2>

With images disabled (on my browser), this creates output like:

Wikipedia<sup>®</sup>®

[The last ® being superscript].

This looks rather silly. There is no ® even in the image. It shouldn't be in the alt text, and definitely shouldn't be there twice.

Event Timeline

Bawolff created this task.Mar 10 2016, 8:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 8:54 PM
Jdlrobson triaged this task as Low priority.Mar 14 2016, 5:11 PM
Jdlrobson added a project: good first task.
Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Mar 16 2016, 9:42 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 27 2016, 4:21 PM
Jhernandez raised the priority of this task from Low to Medium.Jul 7 2016, 4:12 PM
MBinder_WMF set the point value for this task to 1.
MBinder_WMF moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-79-Uh-oh board.
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-79-Uh-oh board.

Change 304961 had a related patch set uploaded (by Bmansurov):
Remove trademark symbol from logo image alternative text

https://gerrit.wikimedia.org/r/304961

phuedx added a subscriber: phuedx.Aug 16 2016, 12:24 PM

There's a minor documentation tweak required and then 304961: Remove trademark symbol from logo image alternative text can be merged.

Change 304961 merged by jenkins-bot:
Remove trademark symbol from logo image alternative text

https://gerrit.wikimedia.org/r/304961

bmansurov removed bmansurov as the assignee of this task.Aug 16 2016, 5:33 PM
bmansurov added a subscriber: bmansurov.

To test please visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Main_Page and inspect the logo or disable the images and refresh the page.

phuedx assigned this task to dr0ptp4kt.Aug 18 2016, 5:48 PM
dr0ptp4kt closed this task as Resolved.Aug 22 2016, 8:13 PM

Signing off.